import {get, post, post2, post3, post4,postFile} from './request.js'

/*
接口地址   
    https://docs.apipost.cn/preview/ce9f67a65c8e6573/4da74c547229c26f
后台地址
    临时地址：https://api.xipeiedu.com/cms
    账户：admin
    密码：weetop_admin
*/

//注册
export const apiRegister = p => post('/userInfo/addUserInfo', p);
//登录
export const apiLogin = p => post('/userInfo/loginUserInfo', p);
//获取用户信息
export const apiUserInfo = p => post('/userInfo/queryUserInfoDetails', p);
//退出登录
export const apiLogOut = p => post('/userInfo/quitUserInfo', p);

//消息中心
export const apiMsgCenter = p => post('/messageCenter/queryMessageCenter', p);
//修改未读信息
export const apiMsgRead = p => post('/messageCenter/updateMessageCenter', p);

//就诊卡-列表
export const apiUserCardList = p => post('/userCard/queryUserCardList', p);
//就诊卡-添加
export const apiUserCardAdd = p => post('/userCard/insertUserCard', p);
//就诊卡-新建
export const apiUserCardCreat = p => post('/userCard/CreatUserCard', p);
//就诊卡-删除
export const apiUserCardDel = p => post('/userCard/deleteUserCard', p);

//预约部门查询
export const apiGetAppointDeptMark = p => post('/register/queryAppointDeptMark', p);
//预约排号查询
export const apiGetAppointSchedulesMark = p => post('/register/queryAppointSchedulesMark', p);
//预约医生号源查询
export const apiGetAppointHidsMark = p => post('/register/queryAppointHidsMark', p);

//挂号部门查询
export const apiGetRegistDeptMark = p => post('/register/queryRegistDeptMark', p);
//今日排号查询
export const apiGetRegistSchedulesMark = p => post('/register/queryRegistSchedulesMark', p);
//挂号医生号源查询
export const apiGetRegistHidsMark = p => post('/register/queryRegistHidsMark', p);
// 挂号分时查询
export const PartimeQuery = p => post('/register/PartimeQuery', p);

//门诊报告查询
export const apiQueryOutpfeeDiagnosisInfo = p => post('/register/queryOutpfeeDiagnosisInfo', p);
//就诊记录
export const apiQueryOutpfeeMasterInfo = p => post('/register/queryOutpfeeMasterInfo', p);

//预约挂号须知
// export const apiGetReservePresent = p => post('/reserve/getReservePresent', p);
//预约成功写入
export const apiOpAppAppoint = p => post('/reserve/opAppAppoint', p);
//今日挂号写入
export const apiOpAppRegist = p => post('/reserve/opAppRegist', p);
//预约取消写入
export const apiOpAppCancelAppoint = p => post('/reserve/opAppCancelAppoint', p);
//今日挂号取消写入
export const apiOpAppCancelRegist = p => post('/reserve/opAppCancelRegist', p);
//预约挂号状态查询
export const apiGetReserveList = p => post('/reserve/getReserveList', p);
//预约挂号详情
export const apiGetReserveDetail = p => post('/reserve/getReserveDetail', p);
//锁号列表查询
export const apiopRegisterCancelList = p => post('/reserve/opRegisterCancelList', p);
//取消锁号
export const apiopRegisterCancel = p => post('/reserve/opRegisterCancel', p);

//预约科室查询
export const apiGetKsList = p => post2('/temporary/queryAppointDeptMark', p);
//预约排班查询
export const apiGetPbList = p => post2('/temporary/queryAppointSchedulesMark', p);
//预约医生号源查询
export const apiGetDoctorList = p => post2('/temporary/queryAppointHidsMark', p);


//首页banner、资讯查询
export const apiBannerNew = p => post('/walkinto/home', p);
// export const apiBannerNew = p => post('app-api/member/carousel-info/page', p);
// export const apiInforNew = p => post('app-api/member/carousel-info/info', p);
// export const apiHospitalNew = p => post('app-api/member/carousel-info/hospital', p);


export const weixinPrePay = p => post('/pay/jh/order', p);

//首页搜索
export const apiSearch = p => post('/walkinto/selysks', p);
//走进医院-主页信息查询
export const apiGetzjyy = p => post('/walkinto/getzjyy', p);
//走进医院-医院概况
export const apiGetHospitalInfo = p => post('/hospital/info/getinfo', p);
//走进医院-医院导航
export const apiGetHospitalGuide = p => post('/walkinto/getguide', p);
//走进医院-就医指南
export const apiGetHospitalJylist = p => post('/information/getjylist', p);
// 健康指导列表
export const apiGetjklist = p => post('/information/getjklist', p);
// 医院动态列表
export const apiGetdtlist = p => post('/information/getdtlist', p);
//走进医院-健康指南、就医指南、医院动态详情
export const apiGetHospitalDetail = p => post('/information/getinfo', p);


// 科室分类
export const apiGetjksfl = p => post('/walkinto/getksfl', p);
// 科室列表
export const apiGetksLsist = p => post('/medicine/getlist', p);
// 分组查询所有科室
export const apiGetksGroupall = p => post('/medicine/groupall', p);
// 科室详情
export const apiGetksinfo = p => post('/walkinto/getksinfo', p);
// 医生列表
export const apiGetKsDoctorList = p => post('/medicine/doctor/getlist', p);
// 医生详情
export const apiGetKsDoctorInfo = p => post('/medicine/doctor/getinfo', p);
// 收费项目分类
export const apiGetxmfl = p => post('/walkinto/getxmfl', p);
// 收费项目列表
export const apiGetxmList = p => post('/charge/getlist', p);
// 收费项目详情
export const apiGetxmInfo = p => post('/charge/getinfo', p);

// 体检主页
export const apiGetInspectHome = p => post('/walkinto/inspecthome', p);
// 体检分类
export const apiGetInspectCate = p => post('/walkinto/gettjfl', p);
// 体检列表
export const apiGetInspectList = p => post('/inspect/getlist', p);
// 体检套餐详情
export const apiGetInspectInfo = p => post('/walkinto/gettjinfo', p);
// 按 查询体检套餐是否可预约
export const apiGetInspectMon = p => post('/inspect/subscribe/getresource', p);
// 体检预约支付
export const apiGetInspectYyPay = p => post('/inspect/subscribe/pay', p);
// 查询体检预约列表
export const apiGetInspectYyList = p => post('/inspect/subscribe/getlist', p);
// 查询体检预约详情
export const apiGetInspectYyInfo = p => post('/inspect/subscribe/getinfo', p);
// 取消预约体检
export const apiGetInspectYyCancel = p => post('/inspect/subscribe/refund', p);

// 查询用户账单列表
export const apiGetbill = p => post('/walkinto/getbill', p);

// 资讯留言
export const apiInsertUserConsult = p => post('/consult/insertUserConsult', p);
// 满意度
export const apiInsertUserAssess = p => post('/assess/insertUserAssess', p);

// 核酸检测
export const apiopHsjc = p => post('/assess/opHsjc', p);

//单据查询
export const apiopDjcx = p => post('/assess/opDjcx', p);

// 获取微信医保 OAuth 授权链接
export const preCheck = () => get('/Yb/preCheck');
// // 调用后端接口：用 code 换取医保支付结果
// export const exchangeCode = p => get('/Yb/exchangeCode', p);
// 医保获取信息服务接口
export const getPayAuthCode = p => post('/Yb/getPayAuthCode', p);
// 微信支付统一下单
export const apiUnifiedOrder = p => post('/Yb/unifiedOrder', p);

//检验单据汇总
export const apiopLMQuery = p => post('/assess/opLMQuery', p);

//检验单据明细
export const apiopLDQuery = p => post('/assess/opLDQuery', p);

//单据明细
export const apiopLBQuery = p => post('/assess/opLBQuery', p);

//单据确认
export const apiopDjqr = p => post('/assess/opDjqr', p);

//查询挂号记录
export const apiopRegisterListQuery = p => post('/reserve/opRegisterListQuery', p);

//退费查询
export const apiopBillsPayedRefundQuery = p => post('/reserve/opBillsPayedRefundQuery', p);

//退费
export const apiopBillsPayedRefund = p => post('/reserve/opBillsPayedRefund', p);

//住院患者信息
export const apiInHosPatientInfoQuery = p => post('/userorder/InHosPatientInfoQuery', p);

//住院预交记录查询
export const apiInHosChargeRecordQuery = p => post('/userorder/InHosChargeRecordQuery', p);
export const yjjXeQuery = p => post('/userorder/yjjXeQuery', p);
//预存缴费
export const apipay = p => post('/userorder/pay', p);

//清单主信息查询
export const apiInHosFeeMasterQuery = p => post('/userorder/InHosFeeMasterQuery', p);

//清单明细信息查询
export const apiInHosFeeDetailQuery = p => post('/userorder/InHosFeeDetailQuery', p);

//获取pacs pdf
export const apiopLiscx = p => post('/assess/opPacscx', p);
export const apiopPacscx = p => post('/assess/opPacscx', p);

// 获取pacs的PDF报告地址
export const GetPdfReportsAddress = p => post('/assess/GetPdfReportsAddress', p);
// pacs的地址下载到后台，后端再把地址发给前端
export const getPacsPdf = p => post('/assess/getPacsPdf', p);


//获取lis pdf
// export const apiopPacscx = p => get('http://153.0.148.39:8089/pacsView/getViewData', p);



//提交住院满意度表单
export const sendZYData = p => post4('/satisfaction/receiveData', p);


//获取问题列表
export const getQuestions = p => get('/satisfaction/getAllQuestion', p);
//获取问题列表
export const getAllQuestionnaire = p => get('/satisfaction/getAllQuestionnaire', p);

//获取问题列表新
export const getAllQuestionNew = p => get('/satisfaction/getAllQuestionNew', p);


//添加关注
export const addConcern = p => post('/concern/addConcern', p);
//取消关注
export const cancelConcern = p => post('/concern/cancelConcern', p);
//查询关注
export const queryConcern = p => post('/concern/queryConcern', p);
//查询关注
export const queryConcernPatient = p => post('/concern/queryConcernPatient', p);

//查询关注
export const getQueuing = p => post('/queuing/getQueuing', p);//查询关注
//ai智能导诊
export const apiGetMessage = p => post('/messageCenter/ai', p);

//按身体部位查询问题
export const getdzQuestions = p => post('/guided/getQuestions', p);

//按身体部位查询问题类型
export const getdzQuestionsType = p => post('/guided/getQuestionsType', p);

//查询全部门诊
export const getAllMZData = p => post('/medicine/getAllMZ', p);


//查询全部门诊
export const getUserCategory = p => post('/userInfo/getUserCategory', p);

// 微信支付状态查询
export const apiOpWxQuery = p => post('/pay/wxpay/query', p);

// 查询体检列表
export const apiOpTiQuery = p => post('/assess/opTiQuery', p);

// 体检预约
export const apiOpTjYy = p => post4('/assess/opTjYy', p);

// 体检项目查询
export const apiGetDetail = p => post('/assess/getDetail', p);

// 药品物价查询
export const apiGetDrugPrice = p => post('/userorder/getDrugPrice', p);
// 病案邮寄
export const apiBayj = p => postFile('/bingan/apiBayj', p);
// 病案邮寄列表
export const apiGetBAList = p => post('/bingan/apiGetBAList', p);
// 病案邮寄取消申请
export const apiDeleteApplication = p => post('/bingan/apiDeleteApplication', p);
//病案缴费
export const apiBAPay = p => post('/bingan/apiBAPay', p);
// 获取用户AccessToken
export const getAccessToken = p => get('/userInfo/getAccessToken', p);
// 医保下单
export const YbUnifiedorder = p => post('/Yb/unifiedorder', p);
// 医保预支付
export const prePay = p => post('/Yb/prePay', p);
//医保调起下单
export const ybOrdering = p => post('/Yb/ybOrdering', p);
//查询医保支付状态
export const findStatus = p => post('/Yb/findStatus', p);
// 满意度表单
export const surveys = p => post('/assess/surveys', p);
// 根据医生姓名获取医生信息
export const getinfoByName = p => post('/medicine/doctor/getinfoByName', p);
// 查询就诊须知
export const getMedicalNotice = p => get('/reserve/getMedicalNotice',p)
// 获取驾驶舱数据-公众号日登录量
export const GetEchartsOne = p => post('/tj_jsc/GetEchartsOne', p);
// 获取驾驶舱数据-公众号月登录量
export const GetEchartsTwo = p => post('/tj_jsc/GetEchartsTwo', p);
// 获取驾驶舱数据-公众号近七日挂号数及费用
export const GetEchartsThree = p => post('/tj_jsc/GetEchartsThree', p);
// 获取驾驶舱数据-公众号近三个月挂号数及费用
export const GetEchartsFour = p => post('/tj_jsc/GetEchartsFour', p);
// 获取驾驶舱数据-本月挂号的科室比例
export const GetEchartsFive = p => post('/tj_jsc/GetEchartsFive', p);
// 获取驾驶舱数据-近3月门诊缴费月额
export const GetEchartsSix = p => post('/tj_jsc/GetEchartsSix', p);
//查看是否黑名单
export const isBlack = p => post('/userInfo/isBlack', p);



//查看此人的挂号记录
export const selectGuaHaoList = p => post('/sfs/selectGuaHaoList', p);
//更新医保支付授权码
export const updatePayAuthCode = p => post('/sfs/updatePayAuthCode', p);
//查看此人的医保缴费信息
export const selectYbByPatientId = p => post('/sfs/selectYbByPatientId', p);
//医保退费
export const refundOrderOnline = p => post4('/Yb/refundOrderOnline', p);
//查询门诊缴费订单信息
export const selectOrderList = p => post('/sfs/selectOrderList', p);






